Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Lze provozovat obojí - Ubuntu i Xubuntu ?  (Přečteno 6084 krát)

Dr Fuss

  • Stálý člen
  • **
  • Příspěvků: 787
Lze provozovat obojí - Ubuntu i Xubuntu ?
« kdy: 29 Května 2023, 05:34:49 »
Dobrý den.

Mám na počítači dual boot (Ubuntu 20.04 LTS  nebo Windows 10) - Grub tabulka volby operačního systému.
Lze k těmto dvoum  navíc ještě doinstalovat Xubuntu ? (Starý notebook).

1. Bude mi na Xubuntu chodit OpenShot ? (Ten je na Ubuntu 20.04 LTS už nepoužitelný - jeho hrozná pomalost, na 18.04 LTS mi ještě chodil obstojně)
2. S provozováním jakých programů na Xubuntu nemám počítat ?
3. Jaký je hlavní rozdíl mezi Xubuntu a Lubuntu ?

Děkuju za odpovědi
 
« Poslední změna: 29 Května 2023, 06:06:43 od Dr Fuss »

Michal "Tylnesh" Kohútek

  • Administrátor fóra
  • Stálý člen
  • ******
  • Příspěvků: 1081
    • Lords Of Tech
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #1 kdy: 29 Května 2023, 07:41:19 »


1. Zalezi, ci OpenShot nefungoval kvoli novosti Ubuntu, alebo novej verzie OpenShotu.
2. S rovnakymi, s akymi nepocitas na Ubuntu
3. Jediny vyznamny rozdiel v Ubuntu, Xubuntu a Lubuntu je v predinstalovanych grafickych aplikaciach.
https://lordsoftech.com

Registered Linux User #506395

--- Smartphone 0: Apple iPhone 11
--- Smartphone 1: OnePlus 3T - Ubuntu Touch
--- Laptop 0: Apple Macbook Air M1
--- Laptop 1: Lenovo Thinkpad X1 Carbon Gen 3
--- Workstation: Ryzen 7 2700X, RX 5700XT, 32GB RAM
--- Other: Niekolko kusov od kazdeho vydaneho variantu Raspberry Pi

Dr Fuss

  • Stálý člen
  • **
  • Příspěvků: 787
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #2 kdy: 29 Května 2023, 07:55:10 »
Toť otázka, Ubuntu 20.04 nebo OpenShot 2.4.3

Tu si pokládám taky. Ale jak jsem doposavad zjistil, tak na vině je povýšení Ubuntu. Pod 18.04 LTE mi to chodilo obstojně. A už vůbec nechápu, proč se s povýšením Ubuntu povyšují i nainstalované programy. Mělo by to vyhodit dotaz zdali chci (y/n) a upozornit na případné důsledky nepovýšení onoho programu.

Ventero

  • Závislák
  • ***
  • Příspěvků: 3580
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #3 kdy: 29 Května 2023, 08:31:26 »
To je otázka konfigurace politiky aktualizací - to tam dohledej v nastavení nebo počkej, až ti někdo, kdo používá nativní Ubu prostředí, poradí, kde to najdeš - ale neměl by to být takový problém při troše snahy ..

Osobně, po čerstvé instalaci, veškerou automatiku zakážu, když je novější stroj, tak max. jednorázově udělám komplet aktualizaci (kde mohu odoznačit položky, které aktualizovat nechci - např. grub) a pak už nikdy - už aktualizuji ručně jednou za čas jen Firefox, popř. co potřebuji nebo chci vyzkoušet.

Též se dají konkrétní balíky trvale uzamknout ..
« Poslední změna: 29 Května 2023, 08:35:59 od Ventero »
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

Michal "Tylnesh" Kohútek

  • Administrátor fóra
  • Stálý člen
  • ******
  • Příspěvků: 1081
    • Lords Of Tech
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #4 kdy: 29 Května 2023, 09:56:34 »
A už vůbec nechápu, proč se s povýšením Ubuntu povyšují i nainstalované programy. Mělo by to vyhodit dotaz zdali chci (y/n) a upozornit na případné důsledky nepovýšení onoho programu.

Na mojom pracovnom laptope, kde nemam ziaden bloat, len veci ktore dennodenne pouzivam mam nainstalovanych 2559 balickov. Vacsina z nich je zavisla na nejakom inom z nich. Chces tym povedat, ze pri upgrade na novu verziu systemu by som si mal citat ~2500 y/n dotazov, ci chcem dany balik aktualizovat?

Z tvojich dotazov je uplne jasne, ze nie si velmi znaly pouzivatelov. Prave pri nich je velmi nebezpecne dat im taku slobodu, aku deklarujes ze chces.

Aby som nebol len zly, tak sa ti to skusim vysvetlit. V Ubuntu 22.04 balik openshot-qt pri spytani sa na detaily skrz 'apt show' vypise toto:

Kód: [Vybrat]
Depends: fonts-cantarell, libjs-jquery, libjs-jquery-ui, python3-openshot (>= 0.2.5), python3-pkg-resources, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyqt5.qtwebkit, python3-requests, python3-zmq, python3:any
Recommends: blender, inkscape

To su jeho najblizsie zavislosti, ktore ale mozu byt zavisle na inych balickoch. Python3 je vyrazne zazrany do celeho systemu, preto je nevyhnutne ho udrziavat ako-tak aktualny. Kedze vsak sa tvorcovia jazyku Python nepytaju kazdeho jedneho vyvojara, ktory ten jazyk pouziva, stava sa, ze verziu od verzie niektore veci, ktore kedysi fungovali bud nefunguju, alebo funguju mierne inak. Preto staru aplikaciu nemusis byt schopny spustis s novym pythonom a uz vobec nie naopak.

Tieto problemy okrem ineho riesia aj nove balickove systemy ako su snap a flatpack. Zavislosti maju zvacsa staticky nalinkovane a nesu si ich so sebou, podobne ako to robia aplikacie na Windowse. To znamena, ze su instalacky castokrat vacsie (aj ked to tak nemusi byt. Libreoffice v snape je rovnako velky a niekedy mensi ako .deb).
https://lordsoftech.com

Registered Linux User #506395

--- Smartphone 0: Apple iPhone 11
--- Smartphone 1: OnePlus 3T - Ubuntu Touch
--- Laptop 0: Apple Macbook Air M1
--- Laptop 1: Lenovo Thinkpad X1 Carbon Gen 3
--- Workstation: Ryzen 7 2700X, RX 5700XT, 32GB RAM
--- Other: Niekolko kusov od kazdeho vydaneho variantu Raspberry Pi

Dr Fuss

  • Stálý člen
  • **
  • Příspěvků: 787
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #5 kdy: 29 Května 2023, 11:36:04 »
To je právě to, že ty závislosti mají zase další závislosti a ty další závislosti zase další, další a další. Ty závislosti prostě někdy nemají konce. To je to co mi na linuxu vadí. (Že program vypadá, že má jen 3 závislosti a nakonec má těch závislostí třeba 2000).

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 6082
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #6 kdy: 29 Května 2023, 11:41:42 »
Lubuntu bohužel jede na LXQT, což je prostředí, které ještě není komplet hotové. To sebou přináší problémy typu, edituj si nějaký konfigurák, abys měl v menu toto takto a tamto takto. Atd. Nedoporučuji.
Xubuntu nebo LM s XFCE bude lepší volba.

To co jede na Ubuntu, pojede i na jiných klonech.
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem.
Dlouhé výpisy prosím dávat při psaní příspěvku do bloku funkcí Vložit kód.
Děkujeme.

Michal "Tylnesh" Kohútek

  • Administrátor fóra
  • Stálý člen
  • ******
  • Příspěvků: 1081
    • Lords Of Tech
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #7 kdy: 29 Května 2023, 12:19:37 »
To je právě to, že ty závislosti mají zase další závislosti a ty další závislosti zase další, další a další. Ty závislosti prostě někdy nemají konce. To je to co mi na linuxu vadí. (Že program vypadá, že má jen 3 závislosti a nakonec má těch závislostí třeba 2000).

Lenze toto nie je vobec unikatne pre Linux. Zavislosti riesi kazdy system do ktoreho mozes nieco doinstalovavat. Niektore systemy to riesia ciastocne statickym linkovanim (MacOS, Windows, Snap, Flatpak). Oba pristupy maju svoje pre a proti. Ak by si chcel, aby kazdy program bol samostatne spustitelny, tak by si mal v pocitaci stovky duplicit OpenSSL kniznice, apod.

Snap sa snazi o rozumny kompromis, kedy naozaj casto pouzivane kniznice sa zdielaju skrz balicky ako je core18, core20 apod., ktore mozu jednotlive snapy sucasne pouzivat a potom si musia so sebou nosit len to, co naozaj musia.
https://lordsoftech.com

Registered Linux User #506395

--- Smartphone 0: Apple iPhone 11
--- Smartphone 1: OnePlus 3T - Ubuntu Touch
--- Laptop 0: Apple Macbook Air M1
--- Laptop 1: Lenovo Thinkpad X1 Carbon Gen 3
--- Workstation: Ryzen 7 2700X, RX 5700XT, 32GB RAM
--- Other: Niekolko kusov od kazdeho vydaneho variantu Raspberry Pi

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 6082
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #8 kdy: 29 Května 2023, 12:42:48 »
Hodně otázek se dnes dá zodpovědět na Youtube.
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem.
Dlouhé výpisy prosím dávat při psaní příspěvku do bloku funkcí Vložit kód.
Děkujeme.

sabraq

  • Závislák
  • ***
  • Příspěvků: 3414
  • Bootloader-není téma k hovoru,ani zbytný prostor
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #9 kdy: 30 Května 2023, 20:34:41 »
Citace
LZE PROVOZOVAT OBOJÍ - UBUNTU I XUBUNTU ?
Mělo by to jít, pouze to zabere víc místa na hdd - při přihlášení pravděpodobně v gdm(to volíš při instalaci) bys měl mít na výběr session(sezení), kde vybereš pravděpodobně Xubuntu, nebo Unity, nebo Gnome3. Tyhle obě(tři) prostředí používají gtk knihovny.

Neznám LXQT, ale na tom to myslím bylo založený, žes psal,ne??????
I v Xfce se hojně editovalo, tuším že ve 4.6 třeba, ale hlavně to bylo nenáročný a stabilní grafický prostředí a co jsem se teď díval v jaké je verzi (protože mi neběží Xserver) a jaká je dostupná pro XFCE dokumentace + vývojové nástroje, tak se to nedá srovnat. To taky nebylo tak snadno "získatelné", jako dnes.

Ale o závislosti systému, grafického prostředí a nakonec i kýženého programu se stará přece APT, takže pokud nepotřebuješ třeba nějakej raritní starší program, nebo naopak třeba rovnou novější/nejnovější grafický prostředí, nic nemusíš řešit a hledat. Můžeš pozamykat verze knihoven, pokud potřebuješ, a klidně na to zapomenout.

Třeba takový dkms kdysi nebylo samozřejmostí, natož přepínat mezi dvěma prostředími.
PP v kolečku - není licence,pouze upozornění na reklamu
"Dress code" - oblečení podle předpisu(ne kódované oblečení)
CC v kolečku - je licence,značí,že se někdo nesmírně snaží

ikx

  • Aktivní člen
  • *
  • Příspěvků: 479
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #10 kdy: 12 Června 2023, 06:28:36 »

Citace
1. Bude mi na Xubuntu chodit OpenShot ? (Ten je na Ubuntu 20.04 LTS už nepoužitelný

...bud vymenis ten stary šrot,bo notbuky predavaju dodnes,alebo precitas nieco o OPENSHOTe...na 20.04-ke velmi dobre chodi... :( :( :(

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 6082
Re:Lze provozovat obojí - Ubuntu i Xubuntu ?
« Odpověď #11 kdy: 31 Srpna 2023, 07:56:22 »
Nevím proč vytahuješ Dr Fussi staré téma a navíc v něm urážíš jinou národnost? Byl ti porazen vedle software na video. Ani jsi na to neodpověděl. Doufám, že toho tu už nebude přibývat.

Cituji jistého Dr Fusse: "Držte se prosím tématu. Děkuju"
« Poslední změna: 31 Srpna 2023, 07:58:50 od Roman Vacho »
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem.
Dlouhé výpisy prosím dávat při psaní příspěvku do bloku funkcí Vložit kód.
Děkujeme.

 

Provoz zaštiťuje spolek OpenAlt.